unit schReportServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schReportClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_InformeComisionesDelta = '{624C756A-A5EA-4038-A339-5B0C8E25A076}';

type
  { IInformeComisionesDelta }
  IInformeComisionesDelta = interface(IInformeComisiones)
  ['{624C756A-A5EA-4038-A339-5B0C8E25A076}']
    { Property getters and setters }
    function GetOldFECHA_COMISIONValue : DateTime;
    function GetOldREFERENCIA_COMISIONValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldNIF_CIF_EMPRESAValue : String;
    function GetOldRAZON_SOCIALValue : String;
    function GetOldCALLE_EMPRESAValue : String;
    function GetOldPOBLACION_EMPRESAValue : String;
    function GetOldPROVINCIA_EMPRESAValue : String;
    function GetOldCODIGO_POSTAL_EMPRESAValue : String;
    function GetOldTELEFONO_1Value : String;
    function GetOldFAXValue : String;
    function GetOldMOVIL_1Value : String;
    function GetOldEMAIL_1Value : String;
    function GetOldPAGINA_WEBValue : String;
    function GetOldREGISTRO_MERCANTILValue : String;
    function GetOldID_AGENTEValue : Integer;
    function GetOldAGENTEValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_COMISION_LIQUIDADAValue : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldCLIENTEValue : String;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldPROVEEDORValue : String;
    function GetOldCOMISIONValue : Float;
    function GetOldIMPORTE_COMISIONABLEValue : Float;
    function GetOldIMPORTE_COMISIONValue : Float;

    { Properties }
    property OldFECHA_COMISION : DateTime read GetOldFECHA_COMISIONValue;
    property OldREFERENCIA_COMISION : String read GetOldREFERENCIA_COMISIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldNIF_CIF_EMPRESA : String read GetOldNIF_CIF_EMPRESAValue;
    property OldRAZON_SOCIAL : String read GetOldRAZON_SOCIALValue;
    property OldCALLE_EMPRESA : String read GetOldCALLE_EMPRESAValue;
    property OldPOBLACION_EMPRESA : String read GetOldPOBLACION_EMPRESAValue;
    property OldPROVINCIA_EMPRESA : String read GetOldPROVINCIA_EMPRESAValue;
    property OldCODIGO_POSTAL_EMPRESA : String read GetOldCODIGO_POSTAL_EMPRESAValue;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property OldFAX : String read GetOldFAXValue;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property OldPAGINA_WEB : String read GetOldPAGINA_WEBValue;
    property OldREGISTRO_MERCANTIL : String read GetOldREGISTRO_MERCANTILValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldIMPORTE_COMISIONABLE : Float read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISION : Float read GetOldIMPORTE_COMISIONValue;
  end;

  { TInformeComisionesBusinessProcessorRules }
  TInformeComisionesBusinessProcessorRules = class(TDABusinessProcessorRules, IInformeComisiones, IInformeComisionesDelta)
  private
  protected
    { Property getters and setters }
    function GetFECHA_COMISIONValue: DateTime; virtual;
    function GetOldFECHA_COMISIONValue: DateTime; virtual;
    procedure SetFECHA_COMISIONValue(const aValue: DateTime); virtual;
    function GetREFERENCIA_COMISIONValue: String; virtual;
    function GetOldREFERENCIA_COMISIONValue: String; virtual;
    procedure SetREFERENCIA_COMISIONValue(const aValue: String); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetNIF_CIF_EMPRESAValue: String; virtual;
    function GetOldNIF_CIF_EMPRESAValue: String; virtual;
    procedure SetNIF_CIF_EMPRESAValue(const aValue: String); virtual;
    function GetRAZON_SOCIALValue: String; virtual;
    function GetOldRAZON_SOCIALValue: String; virtual;
    procedure SetRAZON_SOCIALValue(const aValue: String); virtual;
    function GetCALLE_EMPRESAValue: String; virtual;
    function GetOldCALLE_EMPRESAValue: String; virtual;
    procedure SetCALLE_EMPRESAValue(const aValue: String); virtual;
    function GetPOBLACION_EMPRESAValue: String; virtual;
    function GetOldPOBLACION_EMPRESAValue: String; virtual;
    procedure SetPOBLACION_EMPRESAValue(const aValue: String); virtual;
    function GetPROVINCIA_EMPRESAValue: String; virtual;
    function GetOldPROVINCIA_EMPRESAValue: String; virtual;
    procedure SetPROVINCIA_EMPRESAValue(const aValue: String); virtual;
    function GetCODIGO_POSTAL_EMPRESAValue: String; virtual;
    function GetOldCODIGO_POSTAL_EMPRESAValue: String; virtual;
    procedure SetCODIGO_POSTAL_EMPRESAValue(const aValue: String); virtual;
    function GetTELEFONO_1Value: String; virtual;
    function GetOldTELEFONO_1Value: String; virtual;
    procedure SetTELEFONO_1Value(const aValue: String); virtual;
    function GetFAXValue: String; virtual;
    function GetOldFAXValue: String; virtual;
    procedure SetFAXValue(const aValue: String); virtual;
    function GetMOVIL_1Value: String; virtual;
    function GetOldMOVIL_1Value: String; virtual;
    procedure SetMOVIL_1Value(const aValue: String); virtual;
    function GetEMAIL_1Value: String; virtual;
    function GetOldEMAIL_1Value: String; virtual;
    procedure SetEMAIL_1Value(const aValue: String); virtual;
    function GetPAGINA_WEBValue: String; virtual;
    function GetOldPAGINA_WEBValue: String; virtual;
    procedure SetPAGINA_WEBValue(const aValue: String); virtual;
    function GetREGISTRO_MERCANTILValue: String; virtual;
    function GetOldREGISTRO_MERCANTILValue: String; virtual;
    procedure SetREGISTRO_MERCANTILValue(const aValue: String); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    function GetAGENTEValue: String; virtual;
    function GetOldAGENTEValue: String; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetOldID_COMISION_LIQUIDADAValue: Integer; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetCLIENTEValue: String; virtual;
    function GetOldCLIENTEValue: String; virtual;
    procedure SetCLIENTEValue(const aValue: String); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetPROVEEDORValue: String; virtual;
    function GetOldPROVEEDORValue: String; virtual;
    procedure SetPROVEEDORValue(const aValue: String); virtual;
    function GetCOMISIONValue: Float; virtual;
    function GetOldCOMISIONValue: Float; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISIONABLEValue: Float; virtual;
    function GetOldIMPORTE_COMISIONABLEValue: Float; virtual;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISIONValue: Float; virtual;
    function GetOldIMPORTE_COMISIONValue: Float; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Float); virtual;

    { Properties }
    property FECHA_COMISION : DateTime read GetFECHA_COMISIONValue write SetFECHA_COMISIONValue;
    property OldFECHA_COMISION : DateTime read GetOldFECHA_COMISIONValue;
    property REFERENCIA_COMISION : String read GetREFERENCIA_COMISIONValue write SetREFERENCIA_COMISIONValue;
    property OldREFERENCIA_COMISION : String read GetOldREFERENCIA_COMISIONValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property NIF_CIF_EMPRESA : String read GetNIF_CIF_EMPRESAValue write SetNIF_CIF_EMPRESAValue;
    property OldNIF_CIF_EMPRESA : String read GetOldNIF_CIF_EMPRESAValue;
    property RAZON_SOCIAL : String read GetRAZON_SOCIALValue write SetRAZON_SOCIALValue;
    property OldRAZON_SOCIAL : String read GetOldRAZON_SOCIALValue;
    property CALLE_EMPRESA : String read GetCALLE_EMPRESAValue write SetCALLE_EMPRESAValue;
    property OldCALLE_EMPRESA : String read GetOldCALLE_EMPRESAValue;
    property POBLACION_EMPRESA : String read GetPOBLACION_EMPRESAValue write SetPOBLACION_EMPRESAValue;
    property OldPOBLACION_EMPRESA : String read GetOldPOBLACION_EMPRESAValue;
    property PROVINCIA_EMPRESA : String read GetPROVINCIA_EMPRESAValue write SetPROVINCIA_EMPRESAValue;
    property OldPROVINCIA_EMPRESA : String read GetOldPROVINCIA_EMPRESAValue;
    property CODIGO_POSTAL_EMPRESA : String read GetCODIGO_POSTAL_EMPRESAValue write SetCODIGO_POSTAL_EMPRESAValue;
    property OldCODIGO_POSTAL_EMPRESA : String read GetOldCODIGO_POSTAL_EMPRESAValue;
    property TELEFONO_1 : String read GetTELEFONO_1Value write SetTELEFONO_1Value;
    property OldTELEFONO_1 : String read GetOldTELEFONO_1Value;
    property FAX : String read GetFAXValue write SetFAXValue;
    property OldFAX : String read GetOldFAXValue;
    property MOVIL_1 : String read GetMOVIL_1Value write SetMOVIL_1Value;
    property OldMOVIL_1 : String read GetOldMOVIL_1Value;
    property EMAIL_1 : String read GetEMAIL_1Value write SetEMAIL_1Value;
    property OldEMAIL_1 : String read GetOldEMAIL_1Value;
    property PAGINA_WEB : String read GetPAGINA_WEBValue write SetPAGINA_WEBValue;
    property OldPAGINA_WEB : String read GetOldPAGINA_WEBValue;
    property REGISTRO_MERCANTIL : String read GetREGISTRO_MERCANTILValue write SetREGISTRO_MERCANTILValue;
    property OldREGISTRO_MERCANTIL : String read GetOldREGISTRO_MERCANTILValue;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property AGENTE : String read GetAGENTEValue write SetAGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property ID_COMISION_LIQUIDADA : Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property CLIENTE : String read GetCLIENTEValue write SetCLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property PROVEEDOR : String read GetPROVEEDORValue write SetPROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property COMISION : Float read GetCOMISIONValue write SetCOMISIONValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property IMPORTE_COMISIONABLE : Float read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISIONABLE : Float read GetOldIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISION : Float read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
    property OldIMPORTE_COMISION : Float read GetOldIMPORTE_COMISIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TInformeComisionesBusinessProcessorRules }
constructor TInformeComisionesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TInformeComisionesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TInformeComisionesBusinessProcessorRules.GetFECHA_COMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesFECHA_COMISION];
end;

function TInformeComisionesBusinessProcessorRules.GetOldFECHA_COMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesFECHA_COMISION];
end;

procedure TInformeComisionesBusinessProcessorRules.SetFECHA_COMISIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesFECHA_COMISION] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetREFERENCIA_COMISIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesREFERENCIA_COMISION];
end;

function TInformeComisionesBusinessProcessorRules.GetOldREFERENCIA_COMISIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesREFERENCIA_COMISION];
end;

procedure TInformeComisionesBusinessProcessorRules.SetREFERENCIA_COMISIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesREFERENCIA_COMISION] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesDESCRIPCION];
end;

function TInformeComisionesBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesDESCRIPCION];
end;

procedure TInformeComisionesBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesDESCRIPCION] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesIMPORTE_TOTAL];
end;

function TInformeComisionesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesIMPORTE_TOTAL];
end;

procedure TInformeComisionesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesIMPORTE_TOTAL] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_EMPRESA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesID_EMPRESA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_EMPRESA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetNIF_CIF_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesNIF_CIF_EMPRESA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldNIF_CIF_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesNIF_CIF_EMPRESA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetNIF_CIF_EMPRESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesNIF_CIF_EMPRESA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetRAZON_SOCIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesRAZON_SOCIAL];
end;

function TInformeComisionesBusinessProcessorRules.GetOldRAZON_SOCIALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesRAZON_SOCIAL];
end;

procedure TInformeComisionesBusinessProcessorRules.SetRAZON_SOCIALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesRAZON_SOCIAL] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetCALLE_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCALLE_EMPRESA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldCALLE_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesCALLE_EMPRESA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetCALLE_EMPRESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCALLE_EMPRESA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetPOBLACION_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPOBLACION_EMPRESA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldPOBLACION_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesPOBLACION_EMPRESA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetPOBLACION_EMPRESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPOBLACION_EMPRESA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetPROVINCIA_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPROVINCIA_EMPRESA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldPROVINCIA_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesPROVINCIA_EMPRESA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetPROVINCIA_EMPRESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPROVINCIA_EMPRESA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetCODIGO_POSTAL_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCODIGO_POSTAL_EMPRESA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldCODIGO_POSTAL_EMPRESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesCODIGO_POSTAL_EMPRESA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetCODIGO_POSTAL_EMPRESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCODIGO_POSTAL_EMPRESA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesTELEFONO_1];
end;

function TInformeComisionesBusinessProcessorRules.GetOldTELEFONO_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesTELEFONO_1];
end;

procedure TInformeComisionesBusinessProcessorRules.SetTELEFONO_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesTELEFONO_1] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesFAX];
end;

function TInformeComisionesBusinessProcessorRules.GetOldFAXValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesFAX];
end;

procedure TInformeComisionesBusinessProcessorRules.SetFAXValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesFAX] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesMOVIL_1];
end;

function TInformeComisionesBusinessProcessorRules.GetOldMOVIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesMOVIL_1];
end;

procedure TInformeComisionesBusinessProcessorRules.SetMOVIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesMOVIL_1] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesEMAIL_1];
end;

function TInformeComisionesBusinessProcessorRules.GetOldEMAIL_1Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesEMAIL_1];
end;

procedure TInformeComisionesBusinessProcessorRules.SetEMAIL_1Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesEMAIL_1] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetPAGINA_WEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPAGINA_WEB];
end;

function TInformeComisionesBusinessProcessorRules.GetOldPAGINA_WEBValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesPAGINA_WEB];
end;

procedure TInformeComisionesBusinessProcessorRules.SetPAGINA_WEBValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPAGINA_WEB] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetREGISTRO_MERCANTILValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesREGISTRO_MERCANTIL];
end;

function TInformeComisionesBusinessProcessorRules.GetOldREGISTRO_MERCANTILValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesREGISTRO_MERCANTIL];
end;

procedure TInformeComisionesBusinessProcessorRules.SetREGISTRO_MERCANTILValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesREGISTRO_MERCANTIL] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_AGENTE];
end;

function TInformeComisionesBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesID_AGENTE];
end;

procedure TInformeComisionesBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_AGENTE] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesAGENTE];
end;

function TInformeComisionesBusinessProcessorRules.GetOldAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesAGENTE];
end;

procedure TInformeComisionesBusinessProcessorRules.SetAGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesAGENTE] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_FACTURA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesID_FACTURA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_FACTURA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_COMISION_LIQUIDADA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesID_COMISION_LIQUIDADA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_COMISION_LIQUIDADA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesFECHA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesFECHA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesFECHA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesREFERENCIA];
end;

function TInformeComisionesBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesREFERENCIA];
end;

procedure TInformeComisionesBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesREFERENCIA] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesSITUACION];
end;

function TInformeComisionesBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesSITUACION];
end;

procedure TInformeComisionesBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesSITUACION] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_CLIENTE];
end;

function TInformeComisionesBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesID_CLIENTE];
end;

procedure TInformeComisionesBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_CLIENTE] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCLIENTE];
end;

function TInformeComisionesBusinessProcessorRules.GetOldCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesCLIENTE];
end;

procedure TInformeComisionesBusinessProcessorRules.SetCLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCLIENTE] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_PROVEEDOR];
end;

function TInformeComisionesBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesID_PROVEEDOR];
end;

procedure TInformeComisionesBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesID_PROVEEDOR] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPROVEEDOR];
end;

function TInformeComisionesBusinessProcessorRules.GetOldPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesPROVEEDOR];
end;

procedure TInformeComisionesBusinessProcessorRules.SetPROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesPROVEEDOR] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCOMISION];
end;

function TInformeComisionesBusinessProcessorRules.GetOldCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesCOMISION];
end;

procedure TInformeComisionesBusinessProcessorRules.SetCOMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesCOMISION] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetIMPORTE_COMISIONABLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesIMPORTE_COMISIONABLE];
end;

function TInformeComisionesBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesIMPORTE_COMISIONABLE];
end;

procedure TInformeComisionesBusinessProcessorRules.SetIMPORTE_COMISIONABLEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesIMPORTE_COMISIONABLE] := aValue;
end;

function TInformeComisionesBusinessProcessorRules.GetIMPORTE_COMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesIMPORTE_COMISION];
end;

function TInformeComisionesBusinessProcessorRules.GetOldIMPORTE_COMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_InformeComisionesIMPORTE_COMISION];
end;

procedure TInformeComisionesBusinessProcessorRules.SetIMPORTE_COMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_InformeComisionesIMPORTE_COMISION] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_InformeComisionesDelta, TInformeComisionesBusinessProcessorRules);

end.
